<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>

   <extension
         point="org.eclipse.jwt.we.menu">
      <action
            class="org.eclipse.jwt.we.conf.we.actions.external.ManageActivatedProfilesAction"
            description="Manage Activated Profiles"
            forceText="false"
            name="ManageActivatedProfiles"
            requiresOpenEditor="true"
            showInMenu="true"
            showInToolbar="true"/>
   </extension>
   <extension
         point="org.eclipse.jwt.we.propertySheet">
      <propertySheetPage
            class="org.eclipse.jwt.we.conf.we.editors.properties.tabbedPage.PropertyTabbedPropertySheetPage"/>
   </extension>
   <extension
         point="org.eclipse.jwt.we.propertyDescriptor">
      <customPropertyEditor
            PropertyDescriptorFactoryImpl="org.eclipse.jwt.we.conf.we.editors.properties.PropertyPropertyDescriptorFactory"
            className="Property"
            featureName="value"
            packageName="org.eclipse.jwt.conf.property">
      </customPropertyEditor>
   </extension>
   
   <!-- Default tab for dynamic Properties -->
   <extension
         point="org.eclipse.ui.views.properties.tabbed.propertyTabs">
      <propertyTabs
            contributorId="org.eclipse.jwt.we.editors.WEEditor">
         <propertyTab
               afterTab="org.eclipse.jwt.we.PropertyTabStandard"
               category="WEStandardCategory"
               id="org.eclipse.jwt.we.propertytabs.aspects.Property"
               label="Custom Properties">
         </propertyTab>
      </propertyTabs>
   </extension>

   <!-- Default section for dynamic Properties -->
   <extension
         point="org.eclipse.ui.views.properties.tabbed.propertySections">
      <propertySections
            contributorId="org.eclipse.jwt.we.editors.WEEditor">
         <propertySection
               class="org.eclipse.jwt.we.conf.we.editors.properties.tabbedPage.PropertyPropertySection"
               id="org.eclipse.jwt.we.propertytabs.aspects.Property.DefaultSection"
               tab="org.eclipse.jwt.we.propertytabs.aspects.Property">
            <!-- Here are samples of possible inputs for a JWT property section : -->
            <!-- input being Action will only display it on Action activity nodes -->
            <!-- input
                  type="org.eclipse.jwt.we.model.processes.Action" -->
            <!-- input being ActivityNode will display it on all ActivityNodes including Join, Action... -->
            <!-- input
                  type="org.eclipse.jwt.we.model.processes.ActivityNode" -->
            <!-- input being ModelElement will display it on any node that can have JWT "dynamic" Properties -->
            <!-- Here are samples of possible inputs for a JWT property section : -->
            <!-- input being Action will only display it on Action activity nodes -->
            <!-- input
                  type="org.eclipse.jwt.we.model.processes.Action" -->
            <!-- input being EObject will display it on any model object -->
            <!-- input
                  type="org.eclipse.emf.ecore.EObject" -->
            <!-- input being ModelElement will display it on any JWT model element -->
            <input
                  type="org.eclipse.jwt.meta.model.core.ModelElement">
            </input>
         </propertySection>
      </propertySections>
   </extension>
   
   <!-- Profile UI sheet -->
   <extension
         point="org.eclipse.jwt.we.sheet">
      <sheet
            autoshow="true"
            class="org.eclipse.jwt.we.conf.we.editors.pages.ManageActivatedProfilesSheetProvider"
            closable="true"
            multiple="false"
            title="Manage Workflow Profiles">
      </sheet>
   </extension>

   <!-- .workflow_conf extension editor -->

</plugin>
